ADB over USB doesn't work on i.MX53

Reported by Zach Pfeffer on 2011-09-26
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Linaro Android
High
Unassigned

Bug Description

On https://android-build.linaro.org/builds/~linaro-android/staging-imx53-11.09-release/#build=1
Plugging a USB cable into J3 and running adb doesn't work.

Affects 11.09, 11.10 release.

Zach Pfeffer (pfefferz) on 2011-09-26
visibility: private → public
Changed in linaro-android:
status: New → Confirmed
importance: Undecided → Medium
assignee: nobody → Zach Pfeffer (pfefferz)
Ying-Chun Liu (paulliu) wrote :

Paste the result of "ls /sys/devices/platform/"
could helps.

Zach Pfeffer (pfefferz) wrote :

The console doesn't work, so I can't run commands.

Haitao Zhang (minipanda) wrote :

Please see attached config file for kernel 3.1-rc3, to configure USB OTG port working in gadget mode

Ying-Chun Liu (paulliu) wrote :

Haitao Thanks.

We still don't have enough information here. But it is worth to check the current kernel build config with the above one.

Same issue is observed with iMX53 Hardware(Rev G) with build:
https://android-build.linaro.org/builds/~linaro-android/stage-imx53-11.10-release/

Console works but Unable to get adb working with USB cable connected to J3 port.

--------Serial Logs----------
[Tue Oct 11 12:14:13 2011] # ls /sys/devices/platform/
[Tue Oct 11 12:14:23 2011] uevent
[Tue Oct 11 12:14:23 2011] power
[Tue Oct 11 12:14:23 2011] power.0
[Tue Oct 11 12:14:23 2011] reg-dummy
[Tue Oct 11 12:14:23 2011] imx-uart.0
[Tue Oct 11 12:14:23 2011] fec.0
[Tue Oct 11 12:14:23 2011] mx5_pm.0
[Tue Oct 11 12:14:23 2011] imx-ipuv3
[Tue Oct 11 12:14:23 2011] mxc_vpu
[Tue Oct 11 12:14:23 2011] mxc_ldb
[Tue Oct 11 12:14:23 2011] mxc_tve
[Tue Oct 11 12:14:23 2011] mxc_v4l2_output.0
[Tue Oct 11 12:14:23 2011] mxc_pwm.1
[Tue Oct 11 12:14:23 2011] pwm-backlight.0
[Tue Oct 11 12:14:23 2011] imx2-wdt.0
[Tue Oct 11 12:14:23 2011] mxc_rtc.0
[Tue Oct 11 12:14:23 2011] mxc_dvfs_core.0
[Tue Oct 11 12:14:23 2011] busfreq.0
[Tue Oct 11 12:14:23 2011] imx-i2c.0
[Tue Oct 11 12:14:23 2011] imx-i2c.1
[Tue Oct 11 12:14:23 2011] sdhci-esdhc-imx.0
[Tue Oct 11 12:14:23 2011] sdhci-esdhc-imx.2
[Tue Oct 11 12:14:23 2011] ahci.0
[Tue Oct 11 12:14:23 2011] mxc_iim.0
[Tue Oct 11 12:14:23 2011] fsl-usb2-otg
[Tue Oct 11 12:14:23 2011] fsl-ehci.0
[Tue Oct 11 12:14:23 2011] fsl-usb2-udc
[Tue Oct 11 12:14:23 2011] usb_wakeup.0
[Tue Oct 11 12:14:23 2011] fsl-ehci.1
[Tue Oct 11 12:14:23 2011] usb_wakeup.1
[Tue Oct 11 12:14:23 2011] imx-sgtl5000.0
[Tue Oct 11 12:14:23 2011] imx-ssi.1
[Tue Oct 11 12:14:23 2011] mxc_gpu.0
[Tue Oct 11 12:14:23 2011] gpio-keys
[Tue Oct 11 12:14:23 2011] mxc_scc.0
[Tue Oct 11 12:14:23 2011] imx-sdma
[Tue Oct 11 12:14:23 2011] reg-fixed-voltage.1
[Tue Oct 11 12:14:23 2011] mxc_sdc_fb.1
[Tue Oct 11 12:14:23 2011] mxc_sdc_fb.0
[Tue Oct 11 12:14:23 2011] mxc_sdc_fb.2
[Tue Oct 11 12:14:23 2011] sii902x.0
[Tue Oct 11 12:14:23 2011] mxc_ddc.0
[Tue Oct 11 12:14:23 2011] alarm
[Tue Oct 11 12:14:23 2011] virtual_battery.0
[Tue Oct 11 12:14:23 2011] imx-fiq-pcm-audio.1
[Tue Oct 11 12:14:23 2011] imx-pcm-audio.1
[Tue Oct 11 12:14:23 2011] soc-audio
[Tue Oct 11 12:14:23 2011] #
--------Logs----------

Frans Gifford (fgiff) on 2011-10-27
tags: added: adb imx53 linaro-android
Frans Gifford (fgiff) on 2011-10-27
tags: added: quickstart-staging
Eric Miao (eric.y.miao) on 2011-11-02
Changed in linaro-landing-team-freescale:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Haitao Zhang (minipanda)
Fathi Boudra (fboudra) wrote :
summary: - ADB over USB doesn't work on iMX53 for 11.09 release, build 1
+ ADB over USB doesn't work on i.MX53
Changed in linaro-android:
milestone: none → 11.11
description: updated
Zach Pfeffer (pfefferz) wrote :

Think this is fixed on ICS.

Changed in linaro-android:
milestone: 11.11 → 11.12
Zach Pfeffer (pfefferz) on 2011-11-30
Changed in linaro-android:
assignee: Zach Pfeffer (pfefferz) → Bernhard Rosenkraenzer (berolinux)
Eric Miao (eric.y.miao) on 2011-12-01
Changed in linaro-landing-team-freescale:
milestone: none → 2011.12

The problem here is that CONFIG_USB_ANDROID is disabled in the kernel.

Unfortuantely enabling CONFIG_USB_ANDROID causes the kernel to crash on startup, so the workaround is to put the USB port into "normal" mode.

Haitao Zhang (minipanda) wrote :

There is a kernel configuration issue once build CONFIG_USB_ANDROID into kernel,
CONFIG_USB_EHCI_ARC_OTG and CONFIG_USB_OTG_WAKELOCK
please use my attached kernel config for build andorid kernel with ADB support on iMX53 LOCO board,
another patch for workaround ADB driver with ARC_GADGET driver will be attached later

Eric Miao (eric.y.miao) on 2011-12-16
Changed in linaro-landing-team-freescale:
milestone: 2011.12 → 2012-01
Zach Pfeffer (pfefferz) on 2011-12-21
Changed in linaro-android:
milestone: 11.12 → 12.01
Haitao Zhang (minipanda) wrote :

update kernel config file without verbose USB debug output

Haitao Zhang (minipanda) wrote :

update kernel config file without verbose USB debug output

Haitao Zhang (minipanda) wrote :

The attached big patch will fix varies bugs for enable ADB working on iMX53

Fixed in staging-panda 130

Changed in linaro-android:
status: Confirmed → Fix Committed
Changed in linaro-landing-team-freescale:
status: Triaged → Fix Committed
Botao Sun (botao-sun) wrote :

Observed on the 12.01 RC build:

https://android-build.linaro.org/builds/~linaro-android/staging-imx53-12.01-release/#build=6

Although the adbd process is there:

127|root@android:/ # ps | busybox grep adbd
root 1066 1 1372 152 ffffffff 0000825c S /sbin/adbd
root@android:/ #

the adb connection still can't be established:

noname@noname-t420:~/work/android-sdk-linux_x86/platform-tools$ sudo ./adb devices
* daemon not running. starting it now on port 5037 *
* daemon started successfully *
List of devices attached

Changed in linaro-android:
milestone: 12.01 → 12.02

The fix had to be backed out because enabling CONFIG_USB_ANDROID broke USB input devices (considered more important than ADB) for now.
Will try again after the next kernel update.

Changed in linaro-landing-team-freescale:
status: Fix Committed → Incomplete
Changed in linaro-android:
status: Fix Committed → Confirmed
Changed in linaro-landing-team-freescale:
status: Incomplete → New
Changed in linaro-android:
milestone: 12.02 → 12.03
Changed in linaro-android:
importance: Medium → High
Zach Pfeffer (pfefferz) on 2012-03-28
Changed in linaro-android:
milestone: 12.03 → none
assignee: Bernhard Rosenkraenzer (berolinux) → nobody
Guodong Xu (guodong-xu) wrote :

3 USB ports in iMX53 Quick Start boards:
- Upper USB Host (on J2, close to RJ45),
- Lower USB Host (on J2, close to PCB board), and
- Micro-B USB device (J3)

Upper USB Host is connected to USB 2.0 module of i.MX53. However,
Lower USB Host and Micro-B USB device are both connected to USB 2.0 OTG module of i.MX53. When a 5V supply is seen on the micro-B connector (from the USB Host), the i.MX53 processor will configure the USB 2.0 OTG module for device mode, which will prevent the lower USB Host port from operating correctly.

Due to hardware limitation, in current software design, the following configuration is supported:
Upper USB Host port and Micro-B USB device (J3) can work simultaneously. Meaning you can connect a USB keyboard to Upper USB Host port, and connect ADB debugging to Micro-B USB device port (J3). (Again, Lower USB Host port cannot operate.)

Bero,

Could you please let us know that you can accept this solution? If yes, please integrate Haitao's patch (above) and verify, and we can close this bug.

Or, please wait for our next release of i.MX53 kernel update (kernel v3.4 based), and re-androidization it.

Changed in linaro-landing-team-freescale:
status: New → Fix Committed
Zach Pfeffer (pfefferz) wrote :

I see this fail on this build:

https://android-build.linaro.org/builds/~linaro-android/imx53-ics-gcc47-freescalelt-stable-open-12.05-release/#build=2

After letting the unit boot completely (this is not the first time the unit has been booted) and then plugging in USB into J3 I get the following attached log. Note the error simply repeats for awhile.

Botao Sun (botao-sun) wrote :

For iMX53, doesn't work on build:

https://android-build.linaro.org/builds/~linaro-android/imx53-ics-gcc47-freescalelt-stable-open-12.05-release/#build=3

noname@noname-t420:~/program/android-sdk-linux_x86/platform-tools$ sudo ./adb devices
* daemon not running. starting it now on port 5037 *
* daemon started successfully *
List of devices attached

noname@noname-t420:~/program/android-sdk-linux_x86/platform-tools$

vishal (vishalbhoj) on 2013-03-18
Changed in linaro-android:
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints